how to sweep along a path without G1 continuous

when BRepOffsetAPI_MakePipe is called without G1 continuous, the result is bad.

Documentation says:

BRepOffsetAPI_MakePipe class allows creating a pipe from a Spine, which is a Wire and a Profile which is a Shape. This implementation is limited to spines with smooth transitions, sharp transitions are precessed by BRepOffsetAPI_MakePipeShell.

But when i use BRepOffsetAPI_MakePipeShell and set WithCorrection true, the reslut is also bad. How can i solve it?

thank you.

code:

BRepOffsetAPI_MakePipeShell pipeTool(path);
pipeTool.Add(profile, false, true);
pipeTool.Build();
TopoDS_Shape S = pipeTool.Shape();

ify's picture

got it.

add the following code ,and the result is correct.

pipeBuilder.SetTransitionMode(BRepBuilderAPI_RightCorner);

ify's picture

got it.

add the following code ,and the result is correct.

pipeTool.SetTransitionMode(BRepBuilderAPI_RightCorner);